Subject: subscribe

From: [email-masked] (Alberto Waizel)
Date: 7 Jun 1996 17:53:24 -0700

I'm a mexican medicinal plant professor and researcher, and need some 
help at medicinal plants propagation (european species) used in 
homeopathy and allopatical medicine. Thanks in advance Dr. Jose Waizel